View Issue Details

IDProjectCategoryView StatusLast Update
0029371LazarusLCLpublic2018-04-07 21:51
ReporterLagunov Aleksey Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformGnome3OSFedora Linux 
Product Version1.5 (SVN) 
Summary0029371: Error location in the form Form.Position: = poScreenCenter;
DescriptionFedora Linux 23, Gnome 3
Lazarus 1.7 r51247M FPC 3.1.1 x86_64-linux-gtk 2

From main for i'm show dialog form with included Frame with control
Position of dialog form <> poScreenCenter

See demo

this error only in linux. On windows work ok.


Additional InformationAlso this error see in create new progect dialog from lazarus IDE.
TagsNo tags attached.
Fixed in Revision51664
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0020952 assignedOndrej Pokorny Form ClientWidth 
related to 0027771 resolvedOndrej Pokorny Position "screen center" don't give vert-center 
has duplicate 0029559 closedJuha Manninen gtk2: Form not centered on screen (Position=poScreenCenter) 
related to 0029887 closedOndrej Pokorny Form position "poMainFormCenter" don't work correctly 
related to 0029589 resolvedOndrej Pokorny Setting a TLabel caption during OnCreate can effect form auto-position. 

Activities

Lagunov Aleksey

2016-01-11 09:54

reporter  

Demo_58_FormPos.zip (132,833 bytes)

Peter Grabner

2016-02-18 17:27

reporter   ~0090114

A)
Using LAZARUS 1.44 (and before) on linux debian8 (gnome3,gtk2) its ALLRIGHT - all used forms positioned per form.position.POSCREENCENTER (PODESKTOPCENTER) ARE centered.
(- frames on this forms makes no difference -)

B)
With NEWER LAZARUS (also debian8 (gnome3,gtk2)) - forms of the same project are NOT centered.

(- the build in NEW-PROJECT-DIALOG of Lazarus is also NOT centered here -)

BUT forms of a NEW simple test-project ARE centered (a frame makes no difference).

August Klein

2016-02-18 20:00

reporter   ~0090119

Revision 51110 causes this.

It seems that result from "GetWindowRect" function always should be 0 on gtk2.

Ondrej Pokorny

2016-02-19 10:32

developer   ~0090130

>> It seems that result from "GetWindowRect" function always should be 0 on gtk2.

No it should not.

Ondrej Pokorny

2016-02-19 10:37

developer   ~0090131

Please test.

Issue History

Date Modified Username Field Change
2016-01-11 09:54 Lagunov Aleksey New Issue
2016-01-11 09:54 Lagunov Aleksey File Added: Demo_58_FormPos.zip
2016-01-11 13:45 Ondrej Pokorny Relationship added related to 0020952
2016-01-11 13:45 Ondrej Pokorny Relationship added related to 0027771
2016-02-02 01:06 Juha Manninen Relationship added has duplicate 0029559
2016-02-18 17:27 Peter Grabner Note Added: 0090114
2016-02-18 20:00 August Klein Note Added: 0090119
2016-02-19 06:19 Ondrej Pokorny Assigned To => Ondrej Pokorny
2016-02-19 06:19 Ondrej Pokorny Status new => assigned
2016-02-19 10:32 Ondrej Pokorny Note Added: 0090130
2016-02-19 10:37 Ondrej Pokorny Fixed in Revision => 51664
2016-02-19 10:37 Ondrej Pokorny LazTarget => -
2016-02-19 10:37 Ondrej Pokorny Note Added: 0090131
2016-02-19 10:37 Ondrej Pokorny Status assigned => resolved
2016-02-19 10:37 Ondrej Pokorny Resolution open => fixed
2016-02-19 11:25 Lagunov Aleksey Status resolved => closed
2016-03-24 14:20 Ondrej Pokorny Relationship added related to 0029887
2018-04-07 21:51 Michl Relationship added related to 0029589